Bug 37428 - EDITING Frames copied from Writer into Impress not displayed correctly
Summary: EDITING Frames copied from Writer into Impress not displayed correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low normal
Assignee: Not Assigned
URL: https://bugs.launchpad.net/ubuntu/+so...
Whiteboard:
Keywords:
Depends on:
Blocks: Frame
  Show dependency treegraph
 
Reported: 2011-05-21 02:58 UTC by Christopher M. Penalver
Modified: 2021-11-17 05:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
daten.odt (43.89 KB, application/vnd.oasis.opendocument.text)
2011-05-21 02:58 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-21 02:58:30 UTC
Created attachment 46970 [details]
daten.odt

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen with LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/275245/+attachment/363695/+files/daten.odt && lowriter -nologo daten.odt

click the frame border with the word Format at the top -> copy -> open a blank Impress file -> either paste or special paste and it should look exactly the same.

4) What happens instead is it does not copy over correctly (missing border, indentation structure gone, crops picture top and bottom).
Comment 1 sasha.libreoffice 2011-06-01 08:07:32 UTC
Reproduced on Mandriva 64 bit and Windows XP 32 bit on LibO 3.4 rc1
Steps to reproduce:
0. Open document from attachment
1. Select frame at middle bottom (biggest frame)
2. Press Ctrl-C
3. Create new Impress (or Draw) document
4. Place cursor into slide and press Ctrl-V
Expected: appears frame
Actualy: appears object with not enough size. Frame inside it is cropped.
To fix it double click object. Appears 6 black small dots (controls) and 6 big green. Move right bottom black dot to resize object. Frame then becomes look ok.

If we place cursor into slide and press Ctrl-Shift-V, and select text or HTML in menu, fomating will lost. It described in Bug 37592 - lists from Writer not inserts as lists in Draw and Impress
Comment 2 Björn Michaelsen 2011-12-23 12:01:14 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2011-12-26 23:29:25 UTC Comment hidden (obsolete)
Comment 4 A (Andy) 2013-03-24 19:21:09 UTC
reproducible with LO 4.0.1.2 (Win7 Home, 64bit)
Comment 5 QA Administrators 2015-02-19 15:32:55 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-03-07 11:44:42 UTC
(In reply to sasha.libreoffice from comment #1)
> Reproduced on Mandriva 64 bit and Windows XP 32 bit on LibO 3.4 rc1
> Steps to reproduce:
> 0. Open document from attachment
> 1. Select frame at middle bottom (biggest frame)
> 2. Press Ctrl-C
> 3. Create new Impress (or Draw) document
> 4. Place cursor into slide and press Ctrl-V
> Expected: appears frame
> Actualy: appears object with not enough size. Frame inside it is cropped.
> To fix it double click object. Appears 6 black small dots (controls) and 6
> big green. Move right bottom black dot to resize object. Frame then becomes
> look ok.
> 
> If we place cursor into slide and press Ctrl-Shift-V, and select text or
> HTML in menu, fomating will lost. It described in Bug 37592 - lists from
> Writer not inserts as lists in Draw and Impress

Still reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 7 tommy27 2016-04-16 07:26:01 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:21:42 UTC Comment hidden (obsolete)
Comment 9 Timur 2019-11-17 18:52:33 UTC
Repro LO 6.5+. 
Inserted as OLE. I guess "LO Text" should be proper one.
Comment 10 QA Administrators 2021-11-17 05:12:16 UTC
Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug